API Endpoint Reference / Print Jobs
Recover a Stop receipt using fresh observation without another abort
GET https://api.printhiv3d.com/v1/print-jobs/{id}/stops/{receiptId}
Operation ID getPrintJobStop. Requires the read API key scope.
Parameters
| Name | In | Type | Required | Description |
|---|
id | path | integer | Yes | |
receiptId | path | uuid | Yes | |
Responses
| Status | Description |
|---|
200 | Default Response |
403 | Default Response |
404 | Default Response |
409 | Default Response |
503 | Default Response |
200 response fields
| Field | Type | Required | Description |
|---|
id | uuid | Yes | |
job_id | integer | Yes | |
printer_id | uuid | Yes | |
start_attempt_id | uuid | Yes | |
claim_generation | uuid | Yes | |
expected_device_task_id | string | Yes | |
command_outcome | "unknown" | "acknowledged" | "rejected" | "not_delivered" | Yes | |
confirmation | "pending" | "confirmed" | "unconfirmed" | "rejected" | "already_ended" | "unsupported" | Yes | |
requested_at | date-time | Yes | |
deadline_at | date-time | Yes | |
confirmed_at | date-time | null | Yes | |
abort_acknowledged | boolean | No | |
reason | "printer_family_unsupported" | "job_already_ended" | Yes | |
printerFamily | string | null | Yes | |
jobStatus | string | Yes | |
message | string | null | Yes | |
403 response fields
| Field | Type | Required | Description |
|---|
error | string | Yes | |
code | string | No | |
message | string | No | |
requestId | string | No | |
404 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
409 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
503 response fields
| Field | Type | Required | Description |
|---|
error | "print_job_not_found" | "print_job_terminal" | "queued_cancel_conflict" | "queued_cancel_unavailable" | "stop_attempt_conflict" | "stop_identity_conflict" | "stop_job_terminal" | "stop_not_delivered" | "stop_not_ready" | "stop_receipt_not_found" | "stop_transport_unknown" | "stop_unavailable" | "stop_unsupported" | Yes | |
reason | string | Yes | |
message | string | Yes | |
jobStatus | string | null | No | |
printerFamily | string | null | No | |
Example 200 response
{
"id": "c7e2a4f9-3b1d-4e86-9a5c-0f8d2b6e4a13",
"job_id": 48213,
"printer_id": "7d3f1c2a-5b8e-4f6a-9c1d-2e4b6a8c0f13",
"start_attempt_id": "8b4d1f6a-2c9e-4a37-b5e0-7d3c9a1f2e64",
"claim_generation": "4e9a2c7d-6f1b-4d58-a3e0-1b7c5d9f8a26",
"expected_device_task_id": "912345678",
"command_outcome": "acknowledged",
"confirmation": "pending",
"requested_at": "2026-11-04T18:00:00.000Z",
"deadline_at": "2026-11-04T18:02:00.000Z",
"confirmed_at": null,
"abort_acknowledged": true,
"reason": null,
"printerFamily": "P1",
"jobStatus": "PRINTING",
"message": null
}